/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File:               CRAPCOD.C
 *
 * Regelprogramma vri: Voorbeeldregeling RichtingGevoelige Hiaatmeting
 *
 * datum:              31 augustus 1994
 * gewijzigd:          27 oktober 2003
 *
 * versie:             2.2
 */

#include "crtypes.h"
#include "crapcod.h"
#include "craptab.h"
#include "ccie_int.h"
#include "crapdef.h"

#include "rgh.inc"

#ifdef pc_omgeving
#include "crfutils.h"
#endif


/*
 * =============================================================
 * overige voorwaarden
 * =============================================================
 */

void init_bij_inschakelen (void)
{
}

void voorwaarden_per_seconde (void)
{
}

void overige_voorwaarden (void)
{
  rgh(SG02, H1e, SG02_2, SG02_3, T_DELAY, H_RGH02_1e, met_det_bew);
  rgh(SG02, H2e, SG02_4, SG02_5, T_DELAY, H_RGH02_2e, met_det_bew);
  rgh(SG05, H1e, SG05_1, SG05_2, T_DELAY, H_RGH05_1e, zonder_det_bew);
  rgh(SG28, H2e, SG28_2, SG28_3, T_DELAY, H_RGH28_2e, met_det_bew);


/*
 * t.b.v. zichtbaar maken van de rg-hiaattijden
 */
#ifdef pc_omgeving
    printxy (0, 0, "hulpfunctie rgh 02_1 :   %4d", HF(H_RGH02_1e));
    printxy (0, 1, "hulpfunctie rgh 02_2 :   %4d", HF(H_RGH02_2e));
    printxy (0, 2, "hulpfunctie rgh 05_1 :   %4d", HF(H_RGH05_1e));
    printxy (0, 3, "hulpfunctie rgh 28_2 :   %4d", HF(H_RGH28_2e));
    printxy (0, 4, "vertragingstijd T_DELAY: %4d", waarde_TIJD(T_DELAY));

    printxy (0, 6, "1e hiaattijd SG02:  %4d", waarde_H1e_TIJD(SG02));
    printxy (0, 7, "2e hiaattijd SG02:  %4d", waarde_H2e_TIJD(SG02));
    printxy (0, 8, "1e hiaattijd SG05:  %4d", waarde_H1e_TIJD(SG05));
    printxy (0, 9, "1e hiaattijd SG28:  %4d", waarde_H1e_TIJD(SG28));
#endif

}

