/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File:               RGH.INC
 *
 * datum:              31 augustus 1994
 * gewijzigd dd.:      13 maart 2003
 *                     - aanpassing aan FLASH;
 *                     - invoering vertragingstijd(T_DELAY) tegen onterecht
 *                       afvallen van richtinggevoelig hiaat;
 *                     - beschrijving van het testen gewijzigd.
 *
 * versie:             2.1
 *
 */

#define met_det_bew    1
#define zonder_det_bew 0

void rgh(Int16 sg, Int16 hi, Int16 d2, Int16 d1, Int16 t1, Int16 hf, Int16 sw)
/*
 * sg = signaalgroep
 * hi = H1e of H2e
 * d2 = detector dichtst bij de stopstreep; tweede detector in aanrijrichting
 * d1 = detector verst van de stopstreep; eerste detector in aanrijrichting
 * t1 = overbruggings tijd voor het opvangen van evt defecte lus
 * hf = hulpfunctie
 * sw = schakelaar: 1 = met_det_bew, 0 = zonder_det_bew
 */
{
    if (DFOUT(d1) || DFOUT(d2))
    {
        if (sw)
        {
            if (DFOUT(d1) && DFOUT(d2))
            {
            }
            else
            {
                if (DFOUT(d1))
                {
                    if ( hi == H1e )
                    {
                        if (D(d2))             herstart_H1e_TIJD(sg);
                    }
                    if ( hi == H2e )
                    {
                        if (D(d2))             herstart_H2e_TIJD(sg);
                    }
                }
                if (DFOUT(d2))
                {
                    if ( hi == H1e )
                    {
                        if (D(d1))             herstart_H1e_TIJD(sg);
                    }
                    if ( hi == H2e )
                    {
                        if (D(d1))             herstart_H2e_TIJD(sg);
                    }
                }
            }
        }
    }
    else
    {
        if (begin_D(d1) && !D(d2))           set_HF(hf);
        if (einde_D(d2) && HF(hf))           herstart_TIJD(t1);
        if (!D(d1) && !D(d2) && !TIJD(t1))   reset_HF(hf);

        if ( hi == H1e )
        {
           if ( HF(hf) && D(d2))             herstart_H1e_TIJD(sg);
        }
        if ( hi == H2e )
        {
           if ( HF(hf) && D(d2))             herstart_H2e_TIJD(sg);
        }
    }
}

